From 73e7e8ffd938923f5e30132dd90003ebc9e423dc Mon Sep 17 00:00:00 2001
Message-Id: <73e7e8ffd938923f5e30132dd90003ebc9e423dc.1387276076.git.minovotn@redhat.com>
In-Reply-To: <e610718166120379517e80d1a7aa12d60294209b.1387276076.git.minovotn@redhat.com>
References: <e610718166120379517e80d1a7aa12d60294209b.1387276076.git.minovotn@redhat.com>
From: Gerd Hoffmann <kraxel@redhat.com>
Date: Mon, 9 Dec 2013 13:57:35 +0100
Subject: [PATCH 05/16] fix intel-hda live migration

RH-Author: Gerd Hoffmann <kraxel@redhat.com>
Message-id: <1386597455-25593-2-git-send-email-kraxel@redhat.com>
Patchwork-id: 56035
O-Subject: [RHEL-7 qemu-kvm PATCH 1/1] fix intel-hda live migration
Bugzilla: 1036537
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>
RH-Acked-by: Amos Kong <akong@redhat.com>
RH-Acked-by: Orit Wasserman <owasserm@redhat.com>

RHEL-6 intel-hda emulation doesn't support MSI, so we have
to turn it off for thel RHEL-6 machine types in RHEL-7.

Signed-off-by: Gerd Hoffmann <kraxel@redhat.com>
---
 hw/i386/pc_piix.c | 4 ++++
 1 file changed, 4 insertions(+)

Signed-off-by: Michal Novotny <minovotn@redhat.com>
---
 hw/i386/pc_piix.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/hw/i386/pc_piix.c b/hw/i386/pc_piix.c
index e6771a9..8c3f2d6 100644
--- a/hw/i386/pc_piix.c
+++ b/hw/i386/pc_piix.c
@@ -811,6 +811,10 @@ static QEMUMachine pc_machine_rhel700 = {
         .property = "use_broken_id",\
         .value    = stringify(1),\
     },{\
+        .driver   = "intel-hda",\
+        .property = "msi",\
+        .value    = stringify(0),\
+    },{\
         .driver = "qemu32-" TYPE_X86_CPU,\
         .property = "xlevel",\
         .value = stringify(0),\
-- 
1.7.11.7

